## Index

### Classes

- AsyncNow
- ChainNow
- Now
- OfNow
- PlanNow
- SampleNow

### Functions

- async
- plan
- run
- runNow
- sample

## Functions

### async

- async<A>(comp: IO<A>): Now<Future<A>>

- - Defined in Now.ts:82

  Run an asynchronous IO action and return a future in the Now monad that resolves with the eventual result of the IO action once it completes. This function is what allows the Now monad to execute imperative actions in a way that is pure and integrated with FRP.

  #### Type parameters

  - #### A

  #### Parameters

  - ##### comp: IO<A>

  #### Returns Now<Future<A>>

### plan

- plan<A>(future: Future<Now<A>>): Now<Future<A>>

- - Defined in Now.ts:122

  Convert a future now computation into a now computation of a future. This function is what allows a Now-computation to reach beyond the current moment that it is running in.

  #### Type parameters

  - #### A

  #### Parameters

  - ##### future: Future<Now<A>>

  #### Returns Now<Future<A>>

### run

- run<A>(now: Now<A>): A

- - Defined in Now.ts:104

  #### Type parameters

  - #### A

  #### Parameters

  - ##### now: Now<A>

  #### Returns A

### runNow

- runNow<A>(now: Now<Future<A>>): Promise<A>

- - Defined in Now.ts:132

  Run the given Now-computation. The returned promise resolves once the future that is the result of running the now computation occurs. This is an impure function and should not be used in normal application code.

  #### Type parameters

  - #### A

  #### Parameters

  - ##### now: Now<Future<A>>

  #### Returns Promise<A>

### sample

- sample<A>(b: Behavior<A>): Now<A>

- - Defined in Now.ts:100

  Returns the current value of a behavior in the Now monad. This is possible because computations in the Now monad has an associated point in time.

  #### Type parameters

  - #### A

  #### Parameters

  - ##### b: Behavior<A>

  #### Returns Now<A>

Generated using TypeDoc